package com.fs.qw.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 企微违禁词管理对象 qw_forbidden_words
 *
 * @author fs
 * @date 2023-11-22
 */
public class QwForbiddenWords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 违禁词 */
    @Excel(name = "违禁词")
    private String word;

    /** 违禁词严重级别 */
    @Excel(name = "违禁词严重级别")
    private Long severity;

    /** 操作人 */
    @Excel(name = "操作人")
    private String operator;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setWord(String word)
    {
        this.word = word;
    }

    public String getWord()
    {
        return word;
    }
    public void setSeverity(Long severity)
    {
        this.severity = severity;
    }

    public Long getSeverity()
    {
        return severity;
    }
    public void setOperator(String operator)
    {
        this.operator = operator;
    }

    public String getOperator()
    {
        return operator;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("word", getWord())
                .append("severity", getSeverity())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("operator", getOperator())
                .toString();
    }
}
